package gateway

import (
	"context"

	"git.loafle.net/commons_go/rpc"
)

type ServerHandler interface {
	rpc.ServerHandler

	Invoke(ctx context.Context, method string, params []string) (result interface{}, err error)
}
